import { getElementId, deepCopy } from "../../plugins/utils";

const MODEL = {
  type: "CARD_HEAD",
  x: 0,
  y: 0,
  w: 0,
  h: 0,
  schoolName: "",
  cardName: "",
  aOrB: true,
  aOrBType: "fill", // fill:手动填涂,auto:自动条码
  missAndFill: true,
  writeSign: true,
  examNumberStyle: "auto", // auto:自动条码, empty:手动条码, fill:手动填涂
  businessParams: [],
  noticeHead: [],
  columnNumber: 2,
  isSimple: false, // 是否是简化形式
  sign: "head"
};

const getModel = cardConfig => {
  const infos = Object.assign({}, deepCopy(MODEL), cardConfig);
  infos.id = getElementId();
  return infos;
};

export { MODEL, getModel };
