// user
import OrganizationManage from "./views/OrganizationManage.vue";
import RoleManage from "./views/RoleManage.vue";
import UserManage from "./views/UserManage.vue";
import MenuManage from "./views/MenuManage.vue";
// rule
import CommonRule from "./views/CommonRule.vue";
import CardRuleManage from "./views/CardRuleManage.vue";
import CommonCardTemplate from "./views/CommonCardTemplate.vue";
import ParamPrintTemplate from "./views/ParamPrintTemplate.vue";
import CommonPrintTemplate from "./views/CommonPrintTemplate.vue";
import CourseManage from "./views/CourseManage.vue";

export default [
  {
    path: "/base/organization-manage",
    name: "OrganizationManage",
    component: OrganizationManage
  },
  {
    path: "/base/role-manage",
    name: "RoleManage",
    component: RoleManage
  },
  {
    path: "/base/user-manage",
    name: "UserManage",
    component: UserManage
  },
  {
    path: "/base/menu-manage",
    name: "MenuManage",
    component: MenuManage
  },
  {
    path: "/base/common-rule",
    name: "CommonRule",
    component: CommonRule
  },
  {
    path: "/base/card-rule-manage",
    name: "CardRuleManage",
    component: CardRuleManage
  },
  {
    path: "/base/common-card-template",
    name: "CommonCardTemplate",
    component: CommonCardTemplate
  },
  {
    path: "/base/param-print-template",
    name: "ParamPrintTemplate",
    component: ParamPrintTemplate
  },
  {
    path: "/base/common-print-template",
    name: "CommonPrintTemplate",
    component: CommonPrintTemplate
  },
  {
    path: "/base/course-manage",
    name: "CourseManage",
    component: CourseManage
  }
];
