import { $post, $postParam } from "@/plugins/axios";

export const login = datas => {
  return $post("/api/admin/common/login", datas);
};
export const getSmsCode = mobileNumber => {
  return $post("/api/admin/common/get_verify_code", { mobileNumber });
};
export const logout = userId => {
  return $post("/api/admin/common/logout", { userId });
};
export const sysMenu = () => {
  return $postParam("/api/admin/common/get_menu", {});
};
export const attachmentPreview = id => {
  return $postParam("/api/admin/common/file/get_one", { id });
};
export const getEnums = type => {
  return $postParam("/api/admin/common/get_enums", { type });
};
export const schoolList = () => {
  return $postParam("/api/admin/common/school/list", {});
};
