import { $postParam, $post } from "@/plugins/axios";

// other
// 试卷编号模糊查询
export const pageNumberQuery = param => {
  return $postParam("/api/admin/exam/task/paper_number_query", { param });
};
// 命题老师模糊查询
export const questionTeatherQuery = ({ param, courseCode }) => {
  return $postParam("/api/admin/exam/task/user_query", { param, courseCode });
};

// exam-task-manage
export const examTaskListPage = datas => {
  return $postParam("/api/admin/exam/task/list", datas);
};
export const updateExamTask = datas => {
  return $post("/api/admin/exam/task/save", datas);
};
export const ableExamTask = ({ id, enable }) => {
  return $post("/api/admin/exam/task/enable", { id, enable });
};
export const batchAddExamTask = datas => {
  return $post("/api/admin/exam/task/save_batch", datas);
};
export const taskApplyAuditHistory = id => {
  return $postParam("/api/admin/exam/task/review_list", { id });
};

// task-apply-manage
export const taskApplyListPage = datas => {
  return $postParam("/api/admin/exam/task_apply/list", datas);
};
export const taskApplyDetail = id => {
  return $postParam("/api/admin/exam/task_apply/get_one", { id });
};
export const updateTaskApply = datas => {
  return $post("/api/admin/exam/task_apply/save", datas);
};
export const cancelOrRestartTaskApply = ({ id, status }) => {
  return $post("/api/admin/exam/task_apply/status", { id, status });
};

// task-review-manage
export const taskReviewListPage = datas => {
  return $postParam("/api/admin/exam/task_review/list", datas);
};
export const updateTaskReview = datas => {
  return $post("/api/admin/exam/task_review/save", datas);
};
export const batchUpdateTaskReview = datas => {
  return $post("/api/admin/exam/task_review/save_batch", datas);
};
// task-paper-manage
export const taskPaperListPage = datas => {
  return $postParam("/api/admin/exam/task_paper/list", datas);
};
export const ableTaskPaper = ({ id, enable }) => {
  return $post("/api/admin/exam/task_paper/enable", { id, enable });
};

// card
export const cardList = datas => {
  return $postParam("/api/admin/card/list", datas);
};
